import os

import requests
from tenacity import retry, stop_after_attempt, wait_fixed


@retry(stop=stop_after_attempt(2), wait=wait_fixed(1))
def test_health_check():
    """
    Testing Health Check endpoint service
    :return: None
    """
    svc_health_check_url = os.getenv('SVC_HEALTH_CHECK_URL')
    resp = requests.get(svc_health_check_url)
    assert resp.ok, f'Health check failed with status code: {resp.status_code}'
